org.mariadb.jdbc.internal.util

## Class BulkStatus

- java.lang.Object
- - org.mariadb.jdbc.internal.util.BulkStatus

    public class BulkStatus
    extends Object

### Field Summary

Fields
`static int` `COM_MULTI_PARAM_SEND`
`int` `currentLongDataParam`
`int` `initialPosition`
`byte[]` `notSendCmd`
`int` `sendCmdCounter`
`int` `sendSubCmdCounter`

### Constructor Summary

Constructors
Constructor and Description
`BulkStatus()`

### Method Summary

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### COM_MULTI_PARAM_SEND

    public static final int COM_MULTI_PARAM_SEND

See Also:
  Constant Field Values

#### sendSubCmdCounter

    public int sendSubCmdCounter

#### sendCmdCounter

    public int sendCmdCounter

#### initialPosition

    public int initialPosition

#### notSendCmd

    public byte[] notSendCmd

#### currentLongDataParam

    public int currentLongDataParam

### Constructor Detail

#### BulkStatus

    public BulkStatus()